﻿<##### Create WebApplication and Site #####>
$ap = New-SPAuthenticationProvider
New-SPWebApplication -Name Companyweb -ApplicationPool “CompanywebAppPool” -ApplicationPoolAccount (Get-SPManagedAccount "domain\Admin") -HostHeader Companyweb -Port 80 -Url http://Companyweb -DatabaseName SP13_Companyweb -Verbose
New-SPSite -Name Companyweb -Url http://Companyweb –HostHeaderWebApplication / -Template TeamSite -OwnerAlias "domain\Admin" -ContentDatabase SP13_Companyweb -Verbose

<##### Start the service instances #####>
Start-SPEnterpriseSearchServiceInstance $env:computername 
Start-SPEnterpriseSearchQueryAndSiteSettingsServiceInstance $env:computername 
$serviceAppName = “Search Service Application” 
$appPool=Get-SPManagedAccount -Identity "domain\Admin"
New-SPServiceApplicationPool -Name SA_AppPool -Account $appPool -Verbose
$saAppPool=Get-SPServiceApplicationPool -Identity SA_AppPool
$svcPool = $saAppPool
$adminPool = $saAppPool
$searchServiceInstance = Get-SPEnterpriseSearchServiceInstance –Local
$searchService = $searchServiceInstance.Service 
$bindings = @(“InvokeMethod”, “NonPublic”, “Instance”) 
$types = @([string], [Type], [Microsoft.SharePoint.Administration.SPIisWebServiceApplicationPool], [Microsoft.SharePoint.Administration.SPIisWebServiceApplicationPool]) 
$values = @($serviceAppName, [Microsoft.Office.Server.Search.Administration.SearchServiceApplication],[Microsoft.SharePoint.Administration.SPIisWebServiceApplicationPool]$svcPool,[Microsoft.SharePoint.Administration.SPIisWebServiceApplicationPool]$adminPool) 
$methodInfo = $searchService.GetType().GetMethod(“CreateApplicationWithDefaultTopology”, $bindings, $null, $types, $null) 
$searchServiceApp = $methodInfo.Invoke($searchService, $values) 
$searchProxy = New-SPEnterpriseSearchServiceApplicationProxy -Name “$serviceAppName Proxy” -SearchApplication $searchServiceApp 
$searchServiceApp.Provision()
